playMaker

Author Topic: Playmaker 1.7.8 Released - Unity 5 compatible  (Read 26741 times)

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3201
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Playmaker 1.7.8 Released - Unity 5 compatible
« on: March 03, 2015, 11:07:40 AM »
We just released Playmaker 1.7.8 to the Asset Store for Unity 5 compatibility.

If you bought from the Hutong Games store, the update will be up soon. You should get an email when it's ready...

1982

  • Junior Playmaker
  • **
  • Posts: 71
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #1 on: March 03, 2015, 11:45:19 AM »
Hi! I have purchased the package through your website (Fastspring.com download link), but I haven't been able to access that link for good while now. It says "Playmaker1.7.7.2.unitypackage" is unavailable.

Is there any way of me getting a hold of the newest 1.7.8.? :/

wheretheidivides

  • Sr. Member
  • ****
  • Posts: 479
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #2 on: March 03, 2015, 01:33:39 PM »
What's the deal with the 'level 11' asset store?  Also, I see playmaker free there in march.  How do you all get paid?  DO they pay you for each download?  and what happened to the normal asset store?

gamer

  • Playmaker Newbie
  • *
  • Posts: 2
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #3 on: March 03, 2015, 01:35:10 PM »
Hi! I have purchased the package through your website (Fastspring.com download link), but I haven't been able to access that link for good while now. It says "Playmaker1.7.7.2.unitypackage" is unavailable.

Is there any way of me getting a hold of the newest 1.7.8.? :/

I have the same problem, I never got an update in my email. Help please!

allornothing

  • Playmaker Newbie
  • *
  • Posts: 17
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #4 on: March 03, 2015, 01:38:07 PM »
Same. I've been on 1.7.7.2 for a long time, had no idea there was any further updates! Same deal, fastspring link

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3201
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #5 on: March 03, 2015, 02:48:03 PM »
Playmaker 1.7.8 is now live in the Hutong Games store. Download links should be refreshed. Give them a try and let me know...

gamer

  • Playmaker Newbie
  • *
  • Posts: 2
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #6 on: March 03, 2015, 02:54:45 PM »
Thank's Alex, link is working again.  :)

coffeeANDsoda

  • Hero Member
  • *****
  • Posts: 609
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #7 on: March 03, 2015, 03:19:41 PM »
Is this a big leap compared to 1.7.5? Or is it some bug fixes?
« Last Edit: March 03, 2015, 08:35:40 PM by coffeeANDsoda »

grimeon

  • Playmaker Newbie
  • *
  • Posts: 1
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #8 on: March 03, 2015, 04:46:40 PM »
Are patch notes coming soon? Or is this just for Unity 5 fixes?

Slater

  • Full Member
  • ***
  • Posts: 123
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #9 on: March 03, 2015, 05:03:08 PM »
Having problem with it not adding Playmaker menu and tab correctly. It is missing. What is wrong?


Lane

  • Administrator
  • Hero Member
  • *****
  • Posts: 2484
  • Yup.
    • View Profile
    • Cleverous
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #10 on: March 03, 2015, 05:16:17 PM »
You have compile errors, the menu will appear after you fix the errors and Unity finishes compiling the project.

Slater

  • Full Member
  • ***
  • Posts: 123
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #11 on: March 03, 2015, 05:47:15 PM »
Thank you.

So I think I solved those now, but after that the project continued compiling and I get new stuff complaining about name space stuff and Playmaker. What do I do to solve this?

See screenshot.

Edit: For some reason I have duplicates of the files. Need to delete the duplicates.
« Last Edit: March 03, 2015, 05:57:17 PM by Slater »

wheretheidivides

  • Sr. Member
  • ****
  • Posts: 479
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #12 on: March 03, 2015, 06:37:07 PM »
Geez, I got over 200 errors I have to mess with after upgrading to unity 5.  Stupid assets like easy roads, mesh baker and road articech.  Now there are plenty of playmaker errors too (in the actions for animation and such).

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3201
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #13 on: March 03, 2015, 08:16:18 PM »
@wheretheidivides Can you post the Playmaker errors?

@Slater Where did you import 1.7.8 from? The asset store or hutong games download?

wheretheidivides

  • Sr. Member
  • ****
  • Posts: 479
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #14 on: March 03, 2015, 08:59:20 PM »
"wheretheidivides Can you post the Playmaker errors?"

I deleted every one to get the game working.  However, there is 1. 'Set visibility' and 'set visibility2(recursive)' conflict.  I had to delete 'set visibility'. When I had both it defaulted to 'set visibility' and gave me 54 playmaker errors.  After deleting it, there were no playmaker errors.  Playmaker used the 2nd one.

Now those errors are not the same as the console errors that I deleted.

=====================================
Here is 1 error I found.

Assets/PlayMaker Animator/Scripts/PlayMakerAnimatorStateSynchronization.cs(138,94): warning CS0618: `UnityEngine.AnimatorStateInfo.nameHash' is obsolete: `Use AnimatorStateInfo.fullPathHash instead.'
=========================================
Now unity 5 did some things as well (not playmaker related but may help others). 

After the upgrade to unity 5, 'master Audio' had issues.  unity 5 defaults to 2d/3d audio NOT at the source any more.  So the audio was not heard as it became 2d.  had to change those in the master audio prefab.

Also, some of my assets (tanks, planes) would not move.  Turns out that some of the items were changed to 'static'.  had to uncheck those in the scenes and project folder prefabs.

« Last Edit: March 03, 2015, 09:39:14 PM by wheretheidivides »